<div class="container-xxl p-3 d-flex flex-column gap-4 h-100">
  <h4 style="color: #495057; text-align: center; margin-top: 8px">Список заказов</h4>
  <p-table *ngIf="orders[0]; else noOrders" [value]="orders">
    <ng-template pTemplate="header">
      <tr>
        <th pSortableColumn="date">Дата<p-sortIcon field="date"></p-sortIcon></th>
        <th>Номер заказа</th>
        <th>Имя</th>
        <th>Email</th>
        <th>Телефон</th>
        <th>Товары</th>
        <th>Стоимость</th>
      </tr>
    </ng-template>
    <ng-template pTemplate="body" let-order>
      <tr>
        <td>{{order.date}}</td>
        <td>{{order.orderNumber}}</td>
        <td>{{order.userName}}</td>
        <td>{{order.email}}</td>
        <td>{{order.phone}}</td>
        <td>{{order.productName}}</td>
        <td>{{order.price}}</td>
      </tr>
    </ng-template>
  </p-table>
</div>


<ng-template #noOrders>
  <div class="empty-page">Заказов нет</div>
</ng-template>
